/*
 * Copyright © 2003 Sun Microsystems, Inc. All rights reserved.
 * SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * %W% %E%
 */

package purseclient;

import purseclient.PurseNew;
import java.awt.*;

public class PurseClient {
    private static PurseNew Pw;
    public PurseClient() {
        try {
            jbInit();
        } catch (Exception ex) {
            ex.printStackTrace();
        }
    }

    public static void main(String[] argv){

        Pw = new PurseNew();

        Pw.pack();
        Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
        Dimension frameSize = Pw.getSize();
        if (frameSize.height > screenSize.height)
            frameSize.height = screenSize.height;
        if (frameSize.width > screenSize.width)
            frameSize.width = screenSize.width;
        Pw.setLocation(((screenSize.width - frameSize.width) / 2)-150,
                       ((screenSize.height - frameSize.height) / 2)-150);
        Pw.setSize(400,330);
        Pw.setTitle("Java Card Rules!!");

        Pw.setDefaultLookAndFeelDecorated(true);
        Pw.setVisible(true);
    }

    private static void printArray(byte[] arr) {
        for(int i=0; i<arr.length; ++i) System.out.print(" line :::" + arr[i]);
        System.out.println();
    }

    private void jbInit() throws Exception {
    }

}
